const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWallet = {
Id: '169738660',
}
const getWalletBankingAlias = async (walletId) => {
return await mangopay.BankingAliases.getAll(walletId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getWalletBankingAlias(myWallet.Id)
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.BankingAlias;
import com.mangopay.entities.Wallet;
import java.util.List;
public class ViewWalletBankingAlias {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
Wallet wallet = mangopay.getWalletApi().get("wlt_m_01HTHTXEF4BJCTKMXNWMSZ6KP5");
List<BankingAlias> bankingAliases = mangopay.getBankingAliases().listForWallet(wallet.getId());
for (BankingAlias bankingAlias : bankingAliases) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(bankingAlias);
System.out.println(prettyJson);
}
}
}
using MangoPay.SDK;
using MangoPay.SDK.Entities.PUT;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var walletId = "wlt_m_01J3D02K6ETV3BDP88C7PD2NDB";
var viewWalletBankingAlias = await api.BankingAlias.GetAllAsync(walletId, null, null);
string prettyPrint = JsonConvert.SerializeObject(viewWalletBankingAlias, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"OwnerName": "MGP PlatformTradingName",
"IBAN": "FR7674521100005657670994474",
"BIC": "MPAYFRP1PIN",
"VirtualAccountPurposeResponse": "COLLECTION",
"CreditedUserId": "user_m_01HSB23417BFG7YXR7E371JSEA",
"Country": "FR",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1710846581,
"Active": true,
"Type": "IBAN",
"Id": "wltbank_m_01HSB6E769Y3ZBYDJACSP3THGA",
"WalletId": "wlt_m_01HSB6DE1YT1EMTH0K7ASYPG96"
}
]
[
{
"OwnerName": "MGP PlatformTradingName",
"IBAN": "GB78SAPY60838221394585",
"BIC": null,
"VirtualAccountPurposeResponse": "COLLECTION",
"LocalAccountDetails": {
"SortCode": "608382",
"AccountNumber": "21394585"
},
"CreditedUserId": "user_m_01JADFDBCZS25REHAF6M0NJH5G",
"Country": "GB",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1730883439,
"Active": true,
"Type": "GB",
"Id": "wltbank_01JC0B2JH632KTAGSM0ZBJYG7Q",
"WalletId": "wlt_m_01JC0B1VZA7YG1J4YC21E60PZM"
}
]
Banking alias
View a Banking Alias for a Wallet
GET
/
v2.01
/
{ClientId}
/
wallets
/
{WalletId}
/
bankingaliases
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWallet = {
Id: '169738660',
}
const getWalletBankingAlias = async (walletId) => {
return await mangopay.BankingAliases.getAll(walletId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getWalletBankingAlias(myWallet.Id)
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.BankingAlias;
import com.mangopay.entities.Wallet;
import java.util.List;
public class ViewWalletBankingAlias {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
Wallet wallet = mangopay.getWalletApi().get("wlt_m_01HTHTXEF4BJCTKMXNWMSZ6KP5");
List<BankingAlias> bankingAliases = mangopay.getBankingAliases().listForWallet(wallet.getId());
for (BankingAlias bankingAlias : bankingAliases) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(bankingAlias);
System.out.println(prettyJson);
}
}
}
using MangoPay.SDK;
using MangoPay.SDK.Entities.PUT;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var walletId = "wlt_m_01J3D02K6ETV3BDP88C7PD2NDB";
var viewWalletBankingAlias = await api.BankingAlias.GetAllAsync(walletId, null, null);
string prettyPrint = JsonConvert.SerializeObject(viewWalletBankingAlias, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"OwnerName": "MGP PlatformTradingName",
"IBAN": "FR7674521100005657670994474",
"BIC": "MPAYFRP1PIN",
"VirtualAccountPurposeResponse": "COLLECTION",
"CreditedUserId": "user_m_01HSB23417BFG7YXR7E371JSEA",
"Country": "FR",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1710846581,
"Active": true,
"Type": "IBAN",
"Id": "wltbank_m_01HSB6E769Y3ZBYDJACSP3THGA",
"WalletId": "wlt_m_01HSB6DE1YT1EMTH0K7ASYPG96"
}
]
[
{
"OwnerName": "MGP PlatformTradingName",
"IBAN": "GB78SAPY60838221394585",
"BIC": null,
"VirtualAccountPurposeResponse": "COLLECTION",
"LocalAccountDetails": {
"SortCode": "608382",
"AccountNumber": "21394585"
},
"CreditedUserId": "user_m_01JADFDBCZS25REHAF6M0NJH5G",
"Country": "GB",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1730883439,
"Active": true,
"Type": "GB",
"Id": "wltbank_01JC0B2JH632KTAGSM0ZBJYG7Q",
"WalletId": "wlt_m_01JC0B1VZA7YG1J4YC21E60PZM"
}
]
Deprecated – Decommissioning planned for 2027Mangopay plans to decommission the Banking Alias endpoints in 2027.Platforms using them should plan to re-integrate using the Virtual Account endpoints.Existing Banking Alias objects are available via the GET View a Virtual Account endpoint by using the Banking Alias
Id and WalletId as path parameters.Note - Payee confirmation in the UKWhen the user sets up the payee with their bank, Mangopay UK or Mangopay SA is displayed as the account holder name. You should communicate this to them to avoid confusion.
Path parameters
string
required
The unique identifier of the wallet.
Responses
200
200
array
The list of banking aliases created by the platform.
Show properties
Show properties
object
The Banking Alias object created by the platform.
Show properties
Show properties
string
Max. length: 255 charactersThe owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 (read more).If the User owning the attached wallet has
UserCategory of OWNER and the KYCLevel of REGULAR, then the OwnerName is set to the FirstName and LastName values for a Natural User or the Name value for a Legal User. In this case, the VirtualAccountPurpose in the API response is USER_OWNED.If the User is not KYC verified and an OWNER, then the OwnerName is set to “MGP PlatformTradingName” in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the VirtualAccountPurpose in the API response is COLLECTION.Caution: Your platform must ensure that you use the OwnerName returned in the API response.string
The IBAN (international bank account number) of the banking alias.
string
The BIC (international identifier of the bank) for the banking alias.
string
Returned values:
COLLECTION, USER_OWNEDThe type of the virtual account:COLLECTION- Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users.USER_OWNED- Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the VOP contract amendment.
object
string
The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created.
Note: Once the banking alias is created, it is not possible to change the
Note: Once the banking alias is created, it is not possible to change the
CreditedUserId.string
Returned values: DE, DK, ES, FR, GB, LU, PLThe country of the banking alias. The country must correspond to the currency of the wallet.
string
Max. length: 255 charactersCustom data that you can add to this object.
Unix timestamp
The date and time at which the object was created.
boolean
Whether or not the banking alias is active.Caution: Setting this value to
false is irreversible.string
Returned values:
IBAN, GBThe type of banking alias.The GB value is only returned if the Country is GB.string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
The unique identifier of the wallet.
[
{
"OwnerName": "MGP PlatformTradingName",
"IBAN": "FR7674521100005657670994474",
"BIC": "MPAYFRP1PIN",
"VirtualAccountPurposeResponse": "COLLECTION",
"CreditedUserId": "user_m_01HSB23417BFG7YXR7E371JSEA",
"Country": "FR",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1710846581,
"Active": true,
"Type": "IBAN",
"Id": "wltbank_m_01HSB6E769Y3ZBYDJACSP3THGA",
"WalletId": "wlt_m_01HSB6DE1YT1EMTH0K7ASYPG96"
}
]
[
{
"OwnerName": "MGP PlatformTradingName",
"IBAN": "GB78SAPY60838221394585",
"BIC": null,
"VirtualAccountPurposeResponse": "COLLECTION",
"LocalAccountDetails": {
"SortCode": "608382",
"AccountNumber": "21394585"
},
"CreditedUserId": "user_m_01JADFDBCZS25REHAF6M0NJH5G",
"Country": "GB",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1730883439,
"Active": true,
"Type": "GB",
"Id": "wltbank_01JC0B2JH632KTAGSM0ZBJYG7Q",
"WalletId": "wlt_m_01JC0B1VZA7YG1J4YC21E60PZM"
}
]
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWallet = {
Id: '169738660',
}
const getWalletBankingAlias = async (walletId) => {
return await mangopay.BankingAliases.getAll(walletId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getWalletBankingAlias(myWallet.Id)
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.BankingAlias;
import com.mangopay.entities.Wallet;
import java.util.List;
public class ViewWalletBankingAlias {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
Wallet wallet = mangopay.getWalletApi().get("wlt_m_01HTHTXEF4BJCTKMXNWMSZ6KP5");
List<BankingAlias> bankingAliases = mangopay.getBankingAliases().listForWallet(wallet.getId());
for (BankingAlias bankingAlias : bankingAliases) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(bankingAlias);
System.out.println(prettyJson);
}
}
}
using MangoPay.SDK;
using MangoPay.SDK.Entities.PUT;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var walletId = "wlt_m_01J3D02K6ETV3BDP88C7PD2NDB";
var viewWalletBankingAlias = await api.BankingAlias.GetAllAsync(walletId, null, null);
string prettyPrint = JsonConvert.SerializeObject(viewWalletBankingAlias, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?
⌘I